
QGIS Application - Bug report #17694

GetPrint fails to parse FormData containing encoded param

2017-12-14 04:55 PM - Pierre-Eric Pelloux-Prayer

Status: Closed

Priority: Normal

Assignee: Pierre-Eric Pelloux-Prayer

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25591

Description

The PR https://github.com/qgis/QGIS/pull/5406 added proper decoding of values but parameter names need to be decoded as well.

Example parameter encoding that fails:

 &map0%3AEXTENT=3272095.500363964,-429603.1550792752,3394505.062863964,-331713.4363292752

Tested with QGIS Server master.

Associated revisions

Revision adb7af99 - 2017-12-15 12:40 PM - Pierre-Eric Pelloux-Prayer

Fix parameter name decoding when using POST + urlencoded

This is a followup of dfe48d13c85cbae559a7a09a1bd62140cf11848b which solved

the issue for parameter values.

Fixes #17694

History

#1 - 2017-12-15 10:49 AM - Pierre-Eric Pelloux-Prayer

- Assignee set to Pierre-Eric Pelloux-Prayer

#2 - 2017-12-15 10:50 AM - Pierre-Eric Pelloux-Prayer

PR opened: https://github.com/qgis/QGIS/pull/5876

#3 - 2017-12-18 09:21 AM - Pierre-Eric Pelloux-Prayer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|adb7af99335ea8c4b7123e1f2a2708cc30c826ca.
https://github.com/qgis/QGIS/pull/5876


#4 - 2018-02-22 11:41 AM - Giovanni Manghi

- Resolution set to fixed/implemented
